org.jgrapht.experimental.alg

## Interface ApproximationAlgorithm<ResultType,V>

- All Known Implementing Classes:
    GreedyColoring

      public interface ApproximationAlgorithm<ResultType,V>

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ResultType` | `getLowerBound(Map<V,Object> optionalData)`
    `ResultType` | `getUpperBound(Map<V,Object> optionalData)`
    `boolean` | `isExact()`

- - ### Method Detail

    - #### getUpperBound

          ResultType getUpperBound(Map<V,Object> optionalData)

    - #### getLowerBound

          ResultType getLowerBound(Map<V,Object> optionalData)

    - #### isExact

          boolean isExact()

Copyright © 2016. All rights reserved.